## NAME

CURLOPT_NETRC_FILE - file name to read .netrc info from

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_NETRC_FILE, char *file);

## DESCRIPTION

Pass a char * as parameter, pointing to a zero terminated string containing the full path name to the file you want libcurl to use as .netrc file. If this option is omitted, and CURLOPT_NETRC is set, libcurl will attempt to find a .netrc file in the current user's home directory.

## DEFAULT

NULL

## PROTOCOLS

All

## EXAMPLE

TODO

## AVAILABILITY

Added in 7.10.9

## RETURN VALUE

Returns CURLE_OK if the option is supported, CURLE_UNKNOWN_OPTION if not, or CURLE_OUT_OF_MEMORY if there was insufficient heap space.

## SEE ALSO

CURLOPT_NETRC, CURLOPT_USERNAME

This HTML page was made with roffit.